PDA

View Full Version : OpenGl > 3.0 emulation for development purposes



iTa666
10-26-2011, 05:36 AM
Hello.

Is it possible to create a context that allows us to use every openGl 3.0 and above extensions for development purposes or one must buy a graphic card that supports the version for which we are developing?

Thank you for your help

BionicBytes
10-26-2011, 07:19 AM
Not usually.
In the past nVidia did release some drivers which allowed developers to create a context which was greater than the currently supported h/w features of their card. Of course it ran very, very slowly (software emulation) but it was possible.
Not every vendor offered this, and I'm not even sure nVidia still do either.

iTa666
10-26-2011, 10:34 AM
I know about the speed, but that's a minor issue. The problem is that I need to develop a game with openGl for a class that I'm currently attending, so, I use my laptop when in uni, and my desktop at home. Unfortunately my laptop has a Geforce Go 7 and buying a new one just for this is out of the question.

Thank you, I will check nVidia anyways.

iTa666
10-26-2011, 11:09 AM
Thank you so much, nVidia has what you referred. It is called nvemulate. I will try it as soon as possible.